<?php
include_once '../sys/inc/home.php';
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';

include_once 'duels_start.php';

only_reg();

$set['title'] = 'Ответ на вызов';

if (!isset($_GET['id']) || !is_numeric($_GET['id'])) {
    header('Location: ./');
    exit;
}
$id = (int)$_GET ['id'];

$q = mysql_query("SELECT * FROM `duels` WHERE `id` = '$id' AND `id_ank` = '{$user['id']}' AND `status` ='0' AND `time` > '$duel_time'");
$duel = mysql_fetch_assoc($q);

if (!mysql_num_rows($q)) {
    header('Location: ./');
    exit;
}

$ank = get_user($duel['id_user']);

if (!view_ava($ank['id']) || !view_ava($user['id'])){
    $err[] = 'Аватар не найден';
}

$q2 = mysql_query("SELECT * FROM `duels` WHERE `id_ank` = '{$ank['id']}' AND `time` > '$duel_time' LIMIT 1");

if (mysql_num_rows($q2)) {
$err[] = 'Пользователь уже на дуэле';
}

$set['title'] .= ' с '. $ank['nick'];
include_once H.'sys/inc/thead.php';
title();


if (!isset($err)) {

if (isset($_GET['yes']) && !isset($_GET['no'])) {
mysql_query("UPDATE `duels` SET `status` = '1' WHERE `id` = '{$duel['id']}' LIMIT 1");
msg('Ваш дуэль начался!');

				/* Создаём папку под конкурсы */
				$folder = "./avatars/" . $duel['id'];
                if (!is_dir($folder)) {
                    $mk = mkdir($folder, 0777);
                    if ($mk != true) {
                    chmod($folder, 0777);
                    $err[] = 'Ошибка';
					}
					}

copy(view_ava($user['id']), "./avatars/{$duel['id']}/{$user['id']}.jpg");
copy(view_ava($ank['id']), "./avatars/{$duel['id']}/{$ank['id']}.jpg");

$mess = "{$user['nick']} Принял Ваш [url=/duels/duel.php?id={$duel['id']}]дуэль[/url]!";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$ank['id']}', '".$mess."', '$time')");
header('Location: duel.php?id=' . $duel['id']);

} elseif (isset($_GET['no']) && !isset($_GET['yes'])) {

mysql_query("DELETE FROM `duels` WHERE `id` = '{$duel['id']}' LIMIT 1");
$err[] = 'Дуэль отклонён';
$mess = "{$user['nick']} отклонил Ваш дуэль!";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$ank['id']}', '".$mess."', '$time')");
header('Refresh: 1; url=./');

}
err();
aut();

echo "<div class='post'>";
echo "Здравствуйте! {$ank['nick']} вызывыет Вас на дуэль, если Вы не дадите ответ в течение суток то дуэль будет расторгнут";
echo "<br />Ваш ответ: <a href='?id={$duel['id']}&amp;yes'>Принять</a> или <a href='?id={$duel['id']}&amp;no'>Отклонить</a> ?";
echo "</div>";
} else {
 err();
 aut();
}

echo "<div class='foot'>";
echo "&laquo; <a href='./'>Дуэли</a><br />";
echo "</div>";

include_once H.'sys/inc/tfoot.php';
?>